// Copyright (c) 2005 DMTF.  All rights reserved.
// <change cr="ArchCR00066.004" type="add">Add UmlPackagePath
// qualifier values to CIM Schema.</change>
// ==================================================================
//  CIM_PhysicalStatisticalInformation 
// ==================================================================
   [Version ( "2.6.0" ), 
    UMLPackagePath ( "CIM::Core::Statistics" ), 
    Description ( 
       "Statistical information associated with a PhysicalElement or "
       "one of its subclasses." )]
class CIM_PhysicalStatisticalInformation : CIM_StatisticalInformation {

      [Key, Description ( "The scoping Element\'s CreationClassName." ), 
       MaxLen ( 256 ), 
       Propagated ( "CIM_PhysicalElement.CreationClassName" )]
   string PhysicalCreationClassName;

      [Key, Description ( "The scoping Element\'s identifying Tag." ), 
       MaxLen ( 256 ), 
       Propagated ( "CIM_PhysicalElement.Tag" )]
   string Tag;

      [Key, Description ( 
          "CreationClassName indicates the name of the class or the "
          "subclass used in the creation of an instance. When used "
          "with the other key properties of this class, this "
          "property allows all instances of this class and its "
          "subclasses to be uniquely identified." ), 
       MaxLen ( 256 )]
   string CreationClassName;

      [Key, Override ( "Name" ), 
       Description ( 
          "The Name property, inherited from "
          "StatisticalInformation, serves as part of the object "
          "key." ), 
       MaxLen ( 256 )]
   string Name;


};
