// Copyright (c) 2005 DMTF.  All rights reserved.
// <change cr="CIMCoreCR00695.006" type ="new"> Addition of
// class.</change>
// <change cr="SysDevCR00822" type ="change">Remove Experimental
// qualifier from class.</change>
// <change cr="ArchCR00066.004" type="add">Add UmlPackagePath
// qualifier values to CIM Schema.</change>
// ===================================================================
// CIM_SettingAssociatedToCapabilities
// ===================================================================
   [Association, Version ( "2.11.0" ), 
    UMLPackagePath ( "CIM::System::FilesystemServices" ), 
    Description ( 
       "This association defines settings that can be used to create "
       "or modify elements. Unlike ElementSettingData, these settings "
       "are not used to express the characteristics of existing "
       "managed elements. \n"
       "Typically, the capabilities associated with this class define "
       "the characteristics of a service in creating or modifying "
       "elements that are dependent on the service directly or "
       "indirectly. A CIM Client may use this association to find "
       "SettingData instances that can be used to create or modify "
       "these dependent elements." )]
class CIM_SettingAssociatedToCapabilities : CIM_Dependency {

      [Override ( "Antecedent" ), 
       Description ( "The Capabilities." )]
   CIM_Capabilities REF Antecedent;

      [Override ( "Dependent" ), 
       Description ( "The Setting." )]
   CIM_SettingData REF Dependent;

      [Required, Description ( 
          "If an element whose characteristics are described by the "
          "associated Capabilities instance has a dependent element "
          "created or modified without specifying an associated "
          "SettingData instance, then the default SettingData will "
          "be used in that operation." )]
   boolean DefaultSetting = false;


};
