// Copyright (c) 2005 DMTF.  All rights reserved.
// <change cr="ArchCR00066.004" type="add">Add UmlPackagePath
// qualifier values to CIM Schema.</change>
// ==================================================================
//  CIM_ProductServiceComponent 
// ==================================================================
   [Association, Aggregation, Composition, Version ( "2.7.0" ), 
    UMLPackagePath ( "CIM::Core::ProductFRU" ), 
    Description ( 
       "Indicates that the referenced Service is acquired as part of a "
       "Product. Examples of Services that may be acquired are "
       "outsourced storage and networking services, or support and "
       "warranty services. Expanding on the examples, Services "
       "represent generic functionality - so, it is possible to model "
       "the existence of storage volume management or warranty "
       "services as individual instances of subclasses of CIM_Service. "
       "These \'Services\' may be enabled/disabled, started/stopped, "
       "signal an error, etc. (They behave as standard "
       "ManagedSystemElements.) Specific requests against the Services "
       "- for example, a request for warranty service or increased "
       "storage space - are NOT new instances of Service, but may be "
       "requested via the methods of the Service subclass, or be "
       "instantiated as specific subclasses of ManagedElement." )]
class CIM_ProductServiceComponent : CIM_Component {

      [Aggregate, Override ( "GroupComponent" ), 
       Max ( 1 ), 
       Description ( "The Product." )]
   CIM_Product REF GroupComponent;

      [Override ( "PartComponent" ), 
       Description ( "The Service which is a part of the Product." )]
   CIM_Service REF PartComponent;


};
