// Copyright (c) 2005 DMTF.  All rights reserved.
// <change cr="SysDevCR00722.000" type ="change">Update of
// descriptions based on Tech Edit review.</
// <change cr="ArchCR00066.004" type="add">Add UmlPackagePath
// qualifier values to CIM Schema.</change>
// ==================================================================
//  CIM_SAPAvailableForElement
// ==================================================================
   [Association, Version ( "2.10.0" ), 
    UMLPackagePath ( "CIM::Core::Service" ), 
    Description ( 
       "CIM_SAPAvailableForElement conveys the semantics of a Service "
       "Access Point that is available for a ManagedElement. When "
       "CIM_SAPAvailableForElement is not instantiated, then the SAP "
       "is assumed to be generally available. If instantiated, the SAP "
       "is available only for the associated ManagedElements. For "
       "example, a device might provide management access through a "
       "URL. This association allows the URL to be advertised for the "
       "device." )]
class CIM_SAPAvailableForElement {

      [Key, Description ( 
          "The Service Access Point that is available." )]
   CIM_ServiceAccessPoint REF AvailableSAP;

      [Key, Description ( 
          "The ManagedElement for which the SAP is available." )]
   CIM_ManagedElement REF ManagedElement;


};
