// Copyright (c) 2005 DMTF.  All rights reserved.
// <change cr="ArchCR00066.004" type="add">Add UmlPackagePath
// qualifier values to CIM Schema.</change>
// ==================================================================
//  CIM_FileSystemSettingData 
// ==================================================================
   [Version ( "2.8.0" ), 
    UMLPackagePath ( "CIM::System::FileElements" ), 
    Description ( 
       "This class allows a client to specify the desired persistence "
       "of a FileSystem. This information is tied to the FileSystem "
       "using the ElementSettingData association." )]
class CIM_FileSystemSettingData : CIM_ScopedSettingData {

      [Write, Description ( 
          "An enumerated value representing the intended "
          "persistence characteristics of the FileSystem. A value "
          "of \"Persistent\" indicates that the FileSystem should "
          "be persistent, should be preserved through an orderly "
          "shutdown and should be protected. A value of \"Temporary\" "
          "indicates that the FileSystem should be non-persistent, "
          "should not be protected and may not survive a shutdown. "
          "A value of \"External\" indicates that the FileSystem "
          "should be controlled outside of the operating "
          "environment and may need to be protected by specialized "
          "means. A value of \"Other\" is provided to allow for "
          "additional persistence types, to be described in the "
          "OtherPersistenceType attribute, and is expected to be "
          "rarely, if ever, used." ), 
       ValueMap { "1", "2", "3", "4" }, 
       Values { "Other", "Persistent", "Temporary", "External" }, 
       ModelCorrespondence { 
          "CIM_FileSystemSettingData.OtherPersistenceType", 
          "CIM_FileSystem.PersistenceType" }]
   uint16 PersistenceType;

      [Write, Description ( 
          "A string describing the persistence characteristics when "
          "PersistenceType is \"Other\"." ), 
       ModelCorrespondence { 
          "CIM_FileSystemSettingData.PersistenceType", 
          "CIM_FileSystem.OtherPersistenceType" }]
   string OtherPersistenceType;


};
