// Copyright (c) 2005 DMTF.  All rights reserved.
// <change cr="ArchCR00066.004" type="add">Add UmlPackagePath
// qualifier values to CIM Schema.</change>
// <change cr="CIMCoreCR00903" type="add">Deprecate class.</change>
// ==================================================================
//  CIM_UnitaryComputerSystem 
// ==================================================================
   [Deprecated { "CIM_ComputerSystem" }, 
    Version ( "2.15.0" ), 
    UMLPackagePath ( "CIM::System::SystemElements" ), 
    Description ( 
       "A class derived from ComputerSystem that represents a Desktop, "
       "Mobile, NetPC, Server or other type of a single node Computer "
       "System." )]
class CIM_UnitaryComputerSystem : CIM_ComputerSystem {

      [Deprecated { "CIM_BootSourceSetting" }, 
       Description ( 
          "This object contains the data needed to find either the "
          "initial load device (its key) or the boot service to "
          "request the operating system to start up. In addition, "
          "the load parameters (ie, a pathname and parameters) may "
          "also be specified." )]
   string InitialLoadInfo[];

      [Deprecated { "CIM_BootSourceSetting" }, 
       Description ( 
          "This object contains the data identifying either the "
          "initial load device (its key) or the boot service that "
          "requested the last operating system load. In addition, "
          "the load parameters (ie, a pathname and parameters) may "
          "also be specified." ), 
       MappingStrings { 
          "MIB.IETF|HOST-RESOURCES-MIB.hrSystemInitialLoadDevice", 
          "MIB.IETF|HOST-RESOURCES-MIB.hrSystemInitialLoadParameters", 
          "MIF.DMTF|Host System|001.3" }]
   string LastLoadInfo;

      [Deprecated { "CIM_PowerManagementCapabilities" }, 
       Description ( 
          "When TRUE, indicates that the computer can be power "
          "managed. The use of this property has been deprecated. "
          "Instead, the existence of an associated "
          "PowerManagementCapabilities class (associated using the "
          "ElementCapabilites relationship) indicates that power "
          "management is supported." )]
   boolean PowerManagementSupported;

      [Deprecated { "CIM_AssociatedPowerManagementService.PowerState" }, 
       Description ( 
          "Indicates the current power state of the ComputerSystem "
          "and its associated OperatingSystem. This property is "
          "being deprecated. Instead, the PowerState property in "
          "the AssociatedPowerManagementService class SHOULD be "
          "used. Regarding the Power Save states, these are defined "
          "as follows: Value 4 (\"Power Save - Unknown\") indicates "
          "that the System is known to be in a power save mode, but "
          "its exact status in this mode is unknown; \n"
          "Value 2 (\"Power Save - Low Power Mode\") indicates that "
          "the System is in a power save state but still "
          "functioning, and may exhibit degraded performance; \n"
          "Value 3 (\"Power Save - Standby\") describes that the "
          "System is not functioning but could be brought to full "
          "power \'quickly\'; value 7 (\"Power Save - Warning\") "
          "indicates that the ComputerSystem is in a warning state, "
          "though also in a power save mode. \n"
          "Values 8 and 9 describe the ACPI \"Hibernate\" and \"Soft "
          "Off\" states." ), 
       ValueMap { "0", "1", "2", "3", "4", "5", "6", "7", "8", "9" }, 
       Values { "Unknown", "Full Power", 
          "Power Save - Low Power Mode", "Power Save - Standby", 
          "Power Save - Unknown", "Power Cycle", "Power Off", 
          "Power Save - Warning", "Power Save - Hibernate", 
          "Power Save - Soft Off" }]
   uint16 PowerState;

      [Deprecated { "No Value" }, 
       Description ( 
          "The event that caused the System to power up. This "
          "information is available in SMBIOS, in the Type 1 "
          "structure, the Wake Up Type attribute." ), 
       ValueMap { "0", "1", "2", "3", "4", "5", "6", "7", "8" }, 
       Values { "Reserved", "Other", "Unknown", "APM Timer", 
          "Modem Ring", "LAN Remote", "Power Switch", "PCI PME#", 
          "A/C Power Restored" }]
   uint16 WakeUpType;


};
